Subject: Re: POSIX High Resolution Timers in LinuxPPC 2.4

From: Geoff Levand <[email-masked]>
Date: Mon, 19 Dec 2005 14:56:16 -0800

David Jander wrote:
> Hi Tim,
> 
> On Friday 16 December 2005 23:34, Martin, Tim wrote:
> 
>>Could someone give me a brief history lesson on POSIX high resolution
>>timers (e.g. timer_create() function) implemented in the Linux kernel on
>>the PowerPC 405 architecture?  Specifically:
>>
>>Confirm they are in the mainline 2.6 kernel now (e.g. kernel.org)?
>>
>>Were they ever a part of the "mainline" 2.4 linuxppc kernel (e.g
>>ppc.bkbits.net)?
>>
>>If no, were they ever available as a patch? The stuff at
>>sourceforge.net/projects/high-res-timers stops at 2.4.20 and looks like it
>>was only ever working for i386, not ppc.
> 
> 
> I asked a related question a while back, and got no answer (yet).
> I did find this though, which you might have overlooked:
> http://prdownloads.sourceforge.net/high-res-timers/ppc-hrt-2.6.10.patch?download
> 
> I am equally puzzled about whether this has made it into mainstream, is about 
> to, or never will. I don't even know if it actually works.
> 

You would do better to inquire on the HRT mailing list:

  http://lists.sourceforge.net/lists/listinfo/high-res-timers-discourse

HRT support (from http://sourceforge.net/projects/high-res-timers/) was
never accepted to mainline.  It works on Ebony (PPC440), but I guess it
is OK on others since it uses the PPC time base.  I recommend you get
the latest from CVS, which is against 2.6.12.  Older versions have
CVS tags.

-Geoff